import { HorizontalRangeCategorySeries } from "./HorizontalRangeCategorySeries";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-angular-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Rect } from "igniteui-angular-core";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-angular-core";
import { Pool$1 } from "igniteui-angular-core";
import { Rectangle } from "igniteui-angular-core";
import { CategorySeriesView } from "./CategorySeriesView";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { RangeCategorySeriesView } from "./RangeCategorySeriesView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class RangeColumnSeries extends HorizontalRangeCategorySeries {
    static $t: Type;
    protected bj(): Series;
    protected get_ez(): boolean;
    protected get_fl(): boolean;
    protected jk(): number;
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    aby: RangeColumnSeriesView;
    constructor();
    abz: number;
    ab0: number;
    protected get_ed(): boolean;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    wl(a: Point): Rect;
    gw(a: Point, b: boolean): boolean;
    o5(a: boolean, b: SeriesView): void;
    iw(): number;
    aai(a: CategoryFrame, b: CategorySeriesView): void;
    p2(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RangeColumnSeriesView extends RangeCategorySeriesView {
    static $t: Type;
    protected c7: RangeColumnSeries;
    constructor(a: RangeColumnSeries);
    c8: Pool$1<Rectangle>;
    au(): void;
    protected c9: List$1<Rectangle>;
    df(): Rectangle;
    da(a: Rectangle): void;
    dc(a: Rectangle): void;
    db(a: Rectangle): void;
    dd(a: Rectangle, b: number, c: number): void;
    protected ac(a: number): any;
    private de;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
